body {
    background-image: url('static/bg.jpg'); 
    background-size: cover; 
    color: white; text-align: center; 
    background-repeat: no-repeat; 
    background-attachment: fixed;
    font-family: "Lucida Console", "Courier New", monospace;
    justify-content: center;
    display: flex;
    align-items: center;
    min-height: 100vh;
}
button:not(:hover) {
    background-color: #4CAF50; 
    color: white; 
    padding: 15px 32px; 
    font-size: 16px; 
    border: none; 
    border-radius: 4px;
    font-family: "Lucida Console", "Courier New", monospace;
    overflow: hidden; /* Ensure content stays within the button */
    transition: all 0.3s ease;
    z-index: 13;
}


button:hover {
    background-color: #4CAF50; 
    color: white; 
    padding: 15px 32px; 
    font-size: 16px; 
    border: none; 
    border-radius: 4px;
    font-family: "Lucida Console", "Courier New", monospace;
    overflow: hidden; /* Ensure content stays within the button */
    transition: all 0.3s ease;
    cursor: pointer;
    box-shadow: rgba(46, 240, 46, 0.4) -5px 5px, rgba(46, 240, 46, 0.3) -10px 10px, rgba(46, 240, 46, 0.2) -15px 15px, rgba(46, 240, 46, 0.1) -20px 20px, rgba(46, 240, 46, 0.05) -25px 25px;
    transform: translateY(-5px);
    z-index: 10;
}


button::after {
    background-color: #8aff8e; 
    color: white; 
    padding: 15px 32px; 
    font-size: 16px; 
    border: none; 
    border-radius: 4px;
    font-family: "Lucida Console", "Courier New", monospace;
    transition: all 0.3s ease;
}



div:not(:hover) {
    background-color: rgba(255, 255, 255, 0.1);
    padding: 50px; 
    backdrop-filter: blur(2px); 
    border-color: black; 
    border-width: 1px; 
    border-style: solid; 
    border-radius: 10px; 
    display: inline-block;
    transition: all 0.3s ease;
}

div:hover {
    background-color: rgba(255, 255, 255, 0.1);
    padding: 50px; 
    backdrop-filter: blur(5px); 
    border-color: black; 
    border-width: 1px; 
    border-style: solid; 
    border-radius: 10px; 
    display: inline-block;
    transition: all 0.3s ease;
}



.buttondiv:not(:hover) {
    background-color: rgba(255, 255, 255, 0.1);
    padding: 20px; 
    backdrop-filter: blur(5px); 
    border-color: black; 
    border-width: 1px; 
    border-style: solid; 
    border-radius: 10px; 
    display: inline-block;
    justify-content: center;
    align-items: center;
}

.buttondiv:hover {
    background-color: rgba(255, 255, 255, 0.1);
    padding: 20px; 
    backdrop-filter: blur(5px); 
    border-color: black; 
    border-width: 1px; 
    border-style: solid; 
    border-radius: 10px; 
    display: inline-block;
    justify-content: center;
    align-items: center;
}

p {
    font-size: 18px; 
    margin-bottom: 20px;
    background-color: rgba(0, 0, 0, 0.3);
    padding: 5px;
    border-radius: 5px;
}

p:hover {
    font-size: 18px; 
    margin-bottom: 20px;
    background-color: rgba(0, 0, 0, 0.4);
    padding: 5px;
    border-radius: 5px;
    transition: all 0.3s ease;
    cursor: help;
}

h1 {
    font-size: 40px; 
    margin-bottom: 20px;
    background-color: rgba(0, 0, 0, 0.3);
    padding: 5px;
    border-radius: 5px;
}

h1:hover {
    background-color: rgba(0, 0, 0, 0.4);
    transition: all 0.3s ease;
    font-size: 40px; 
    margin-bottom: 20px;
    padding: 5px;
    border-radius: 5px;
}

.creditsimg {
    position:fixed;
    bottom: 20px;
    right: 20px;
    width: 100px; 
    height: auto; 
    border-radius: 50%; 
    border: 2px solid white; 
    padding: 5px; 
    background-color: rgba(255, 255, 255, 0.1); 
    transition: all 0.3s ease;
}


.creditsimg:hover {
    content: "Made by Greeen";
    position: absolute;
    bottom: 20px;
    right: 20px;
    background-color: rgba(255, 255, 255, 0.1);
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 12px;
    white-space: nowrap;
    z-index: 100;
}